class InitialDatabase:
    # Names generiert von chatgpt https://chat.openai.com/
    # Workernames
    workernames = [
        "Emma",
        "Mia",
        "Hannah",
        "Emilia",
        "Lina",
        "Ulma",
        "Lena",
        "Anna",
        "Marie",
        "Lea",
        "Noah",
        "Leon",
        "Ben",
        "Paul",
        "Finn",
        "Elias",
        "Felix",
        "Maximilian",
        "Luis",
        "Luca",
        "Laura",
        "Eva",
        "Maja",
        "Clara",
        "Amelie",
        "Isabella",
        "Lara",
        "Emily",
        "Sarah",
        "Charlotte",
        "Alexander",
        "Maximilian",
        "Paul",
        "Benjamin",
        "Finn",
        "Elias",
        "Luis",
        "Henry",
        "Luca",
        "Jakob",
        "David",
        "Niklas",
        "Leon",
        "Julian",
        "Jonas",
        "Tom",
        "Tim",
        "Simon",
        "Moritz",
        "Jan",
        "Sofia",
        "Luisa",
        "Johanna",
        "Mila",
        "Liam",
        "Oskar",
        "Theo",
        "Anton",
        "Friedrich",
        "Emil",
        "Ida",
        "Matilda",
        "Greta",
        "Frida",
        "Mila",
        "Lotta",
        "Mina",
        "Ella",
        "Julia",
        "Paula",
        "Leonard",
        "Karl",
        "Erik",
        "Johannes",
        "Finn",
        "Niklas",
        "Max",
        "Jonas",
        "Jakob",
        "Philipp",
        "Hannah",
        "Emilia",
        "Clara",
        "Lara",
        "Isabella",
        "Mia",
        "Laura",
        "Sophia",
        "Lea",
        "Marie",
    ]
    # Ordernames
    ordernames = [
        "Online Shopping Platform",
        "Fitness Tracking Mobile App",
        "Social Media API",
        "Customer Relationship Management System",
        "Customer Support Chatbot",
        "E-commerce Recommendation Engine",
        "Web Scraping Tool",
        "Payment Gateway Integration",
        "Content Management System (CMS)",
        "Real-time Analytics Dashboard",
        "Task Management Application with Kanban Board",
        "Retail Store Inventory Management System",
        "Ticketing System for Customer Support",
        "Sentiment Analysis Machine Learning Model",
        "Blockchain-based Voting System",
        "Location-based Restaurant Finder App",
        "Calendar Scheduling Application",
        "Document Management System",
        "Virtual Reality (VR) Game",
        "Multiplayer Online Game",
        "Weather Forecasting Application",
        "Stock Trading Platform",
        "News Aggregator Website",
        "Ride-sharing App with GPS Tracking",
        "Movie Recommendation System",
        "E-learning Platform",
        "Music Streaming Service",
        "Social Networking Platform",
        "Video Conferencing Application",
        "Movie Theater Ticket Reservation System",
        "Automated Testing Framework for Web Applications",
        "Business Card Scanning Mobile App",
        "Secure Password Manager Application",
        "Customer Review Sentiment Analysis Tool",
        "Task Automation Script",
        "Customer Feedback Management System",
        "Recipe Recommendation App",
        "Flight Booking System",
        "Fraud Detection System for Financial Transactions",
        "Online Auction Platform",
        "Language Translation Tool",
        "IT Support Ticketing System",
        "Personal Finance Tracking Mobile App",
        "Social Media Analytics Dashboard",
        "Document Collaboration Platform",
        "Task Tracking Application",
        "Social Media Sentiment Analysis Tool",
        "Book Recommendation System",
        "E-commerce Platform with Inventory Management",
        "Movie Review Sentiment Analysis Tool",
        "Ride-hailing App",
        "Content-based Music Playlist Recommendation System",
        "Appointment Booking System for Healthcare Clinic",
        "Secure Chat Application with End-to-End Encryption",
        "Online Food Delivery Platform",
        "Customer Feedback Sentiment Analysis Tool",
        "Project Task Management System",
        "News Recommendation Engine",
        "Language Learning Mobile App",
        "Travel Planning Application",
        "AI-powered Virtual Assistant",
        "Smart Home Automation System",
        "Real Estate Listing Website",
        "Restaurant Table Reservation System",
        "Inventory Tracking Mobile App",
        "Music Production Software",
        "Event Management Platform",
        "Online Course Marketplace",
        "Expense Tracking Application",
        "Job Recruitment Platform",
        "Pet Adoption Website",
        "Home Workout Mobile App",
        "Stock Portfolio Management System",
        "Social Media Influencer Analytics Tool",
        "Food Recipe Sharing Platform",
        "AI-based Image Recognition Software",
        "Tourist Guide Mobile App",
        "Cryptocurrency Exchange Platform",
        "Language Proficiency Testing Software",
        "Virtual Interior Design Application",
        "Fitness Meal Planning App",
        "Cloud Storage Service",
        "Car Rental Booking System",
        "Data Visualization Dashboard",
        "Online Art Marketplace",
        "Restaurant Review Aggregator",
        "AI Chatbot for Legal Advice",
        "Music Concert Ticket Booking App",
        "Online Language Tutoring Platform",
        "Virtual Job Interview Platform",
        "Property Rental Management Software",
        "Restaurant Menu Ordering App",
        "AI-based Medical Diagnosis Tool",
        "Online Wedding Planning Platform",
        "Collaborative Code Editor",
        "Online Therapy Platform",
        "Home Energy Monitoring System",
        "Sports League Management Software",
        "AI-powered Resume Builder",
        "Food Delivery Recommendation App",
        "Online Marketplace for Handmade Crafts",
        "Automated Email Marketing Platform",
    ]
    # Engineeringmodel
    engineeringmodelnames = [
        "ModelV",
        "ModelSpiral",
        "ModelWaterfall",
        "ModelScrum",
        "ModelChaotic",
        "ModelHeyJoe",
    ]
    vmodeldesc = """The V-model uses a sequential approach with multiple phases, such as 
    specification, system modeling, component modeling, implementation, component testing, integration testing and validation. The 
    first four phases are constructive phases (creating code), while the last three phases concentrate on project quality and testing. 
    The name originates from the fact that the phases are often represented as a V, with the development phases (descending left side of the V) 
    facing the quality assurance (ascending right side of the V). Since each developmnet phase has a corresponding testing phase, assuring good project 
    quality is a basis of the V-model. Planning the project in closed phases also makes 
    the project easier to plan than than it would be with more flexible apporaches. The downside of the model is, that 
    preplanning phases will make change of requirements difficult and building the project from bottom up will make 
    prototyping hard to achieve."""
    spiraldesc = """
    The model spiral is an agile software engineering model that organizes the development 
    of a software product in multiple iterations. Each iteration implements a portion of the project
    and creates a product prototype with more functionality than
    the previous iteration, growing the product bigger with each step. Succesively improving 
    the project with each iteration makes finding errors early on in the project easy and naturaly 
    brings prototyped versions, which will make updating and communicating with customers easy. The downside 
    is, that this can lead to work redundancy, recoding functionalities and retesting, which makes 
    predicting the conclusion and costs of the project hard."""
    waterfalldesc = """The model waterfall is a software engineering model that organizes
    the workload in five phases: analysis, design, implementation, integration and production.
    The phases will be worked through sequentially and going back phases is not intended. Using this 
    software engineering method is most succesful for short and well defined products, since it is 
    very unflexible and therefore it is hard to respond to customer requests. Due to its straight 
    forward nature with closed production phases it is easy for workers to work with and the production completion is 
    relatively predictable."""
    scrumdesc = """Scrum is an agile software engineering model for incrementally and iteratively 
    developing software. Key elements within Scrum are short timewindows, designated to specific functionalities (Sprints), 
    planning tasks beforehand in a so called product backlog and daily meetings to keep every involved workers updated on 
    current problems and changes. This makes Scrum a highly flexible model with the ability to update customers frequently 
    and reach good project quality. The downside is, that workers have to get familiar with the working principles and 
    predicting the conclusion of a project can be hard due to the high flexibility."""
    chaotidesc = """The chaotic model is equal to not choosing a model (default). It is not a model used in 
    softwareengineering, but signals that your workers will work uncoordinated. Working like this will make your workers more
    insecure in their work and company."""
    heyjoedesc = """The HeyJoe Model is an organizational method in which the manager organizes the team through 
    daily instructions. Users and customers communicate directly with the manager to access team members. Team members are 
    deployed flexibly to where they are most urgently needed, and their tasks, such as analysis and design, vary 
    depending on the daily instructions. The Model brings a lot of flexibility while working with customers, but workers 
    involved are working in a highly volatile work environment. Switching the tasks daily makes it hard to get a good workflow, 
    which increases the work needed to finish the whole project"""
    engineeringmodeldescription = [
        vmodeldesc,
        spiraldesc,
        waterfalldesc,
        scrumdesc,
        chaotidesc,
        heyjoedesc,
    ]
    vmodelprocon = [
        # pros
        """-the preplanned phases give workers a good roadmap for their work [+10 Worker Satisfaction; +10 happynes all workers], 
            -multiple validation phases ensure a high quality project [+10 Customer Satisfaction]""",
        # cons
        """-low flexibility due to preplanned phases [extra work for SPECIAL ORDERS],
            -the emphasise on testing and validating each development step can cause extra workload [+10% workload]""",
    ]
    spiralprocon = [
        # pros
        """-high flexibility and regular prototyping within production [bonus on SPECIAL ORDERS],
            -easy customer involvement and feedback through the production process [+10 Customer Satisfaction]""",
        # cons
        """-multiple iterations can lead to work redundancy and recoding functionalities [+10% workload],
            -workers will be unhappy with the redundant work [-10 Worker Satisfaction; -10 happynes all workers]""",
    ]
    waterfallprocon = [
        # pros
        """-workers appreciate the easy usage and predictability [+10 Worker Satisfaction; +10 happynes all workers],
            -straight forward planning and clear responsibilities [-10% workload]""",
        # cons
        """-low flexibility due to preplanned phases [extra work for SPECIAL ORDERS],
            -low customer involvement and late feedback [-10 Customer Satisfaction]""",
    ]
    scrumprocon = [
        # pros
        """-high flexibility and iterative work in closed production iterations (sprints) [bonus on SPECIAL ORDERS],
            -workers familiar with Scrum work efficiently with it [+20% on skills if skilled model is Scrum]""",
        # cons
        """-the high flexibility makes predicting project conclusion hard [random workload shift between 1% and +20%],
            -workers not familiar with scrum are overthrown by the new structure [-40% on skills if skilled model is NOT ModelScrum]""",
    ]
    chaoticprocon = [
        # pros
        """this model doesnt bring positives""",
        # cons
        """-workers dont like volatility in their workplace [-20 Worker Satisfaction],
        -missing structure leads to inefficient work [+10% workload],
        -workers are not prepared for flexibility [extra work for SPECIAL ORDERS]""",
    ]
    heyjoeprocon = [
        # pros
        """-due to tasks varying every day, flexibility in project inkrementation is easy [bonus on SPECIAL ORDERS],
        -customers like the easy way for them to influence the project by contacting the manager [+30 Customer Satisfaction]""",
        # cons
        """-workers dislike the high volatility in their daily work [-15 Worker Satisfaction; -15 happynes all workers],
        -Switching tasks daily leads to more workload due to workers having to adjust to new tasks [+20% workload]""",
    ]
    engineeringmodelprocon = [
        vmodelprocon,
        spiralprocon,
        waterfallprocon,
        scrumprocon,
        chaoticprocon,
        heyjoeprocon,
    ]
